
Figure - Bug #112607
测试 Test-IT # 110867 (New): V1.0测试功能汇总

测试 Test-IT # 110895 (New): AF-V1.0功能测试-桌面

【AF】【EVT】【桌面】在未授权给音乐时，进行音乐1*1快捷方式的添加（期间进行授权等操作），无法添
加成功
2022-10-17 17:53 - CD TEST-方永红

Status: CLOSED Start date: 2022-10-17

Priority: Normal Due date: 2022-10-20

Assignee: CD TEST-方永红 % Done: 100%

Category: CD-APP Estimated time: 0.00 hour

Target version: VX1_MCE_FSE_V3.0_20221030

Need_Info: -- Found Version: FlatBuild_VX1_MCE_xx.xx_FSE.R.userdebug.0.0.0.20221014.alpha_0036

Resolution: FIXED Degrated: No

Severity: Normal Verified Version: FlatBuild_VX1_MCE_xx.xx_FSE.D.user.0.0.0.20221023.alpha

Reproducibility: Every time Fixed Version: 2022-10-22

Test Type: IT Root cause: 编码问题

Description

【前提条件】

1、设备已开机

2、未给音乐授权

【测试步骤】

1、长按桌面进入微件添加模式，添加音乐1*1的快捷方式

2、此时会弹出授权界面，点击允许

3、选择想要添加的音乐快捷方式（如全部音乐）

【预期结果】

3、音乐快捷方式添加成功

【实际结果】

3、音乐快捷方式无法添加成功

【复现率】

必现

PS:其他两个尺寸的音乐微件可以正常添加

History

#1 - 2022-10-19 09:35 - CD APP-王营

- Status changed from New to ASSIGNED

- Assignee changed from CD APP-王营 to CD APP-黄棚

#2 - 2022-10-20 12:12 - CD APP-李蛟

- Due date set to 2022-10-20

- % Done changed from 0 to 50

- Degrated changed from -- to No

- Root cause set to 编码问题

■ Current conclusion
Music的权限申请问题

■ My analysis

Launcher启动MusicBrowserActivity后，music会finish当前activity，授权后再启动一个新的MusicBrowserActivity，导致Launcher收不到Result

■ Next action

定义一个Activity用于处理CREATE_SHORTCUT请求

#3 - 2022-10-20 17:46 - CD APP-黄棚

- % Done changed from 50 to 100

- Fixed Version set to 2022-10-21

■ Current conclusion

Music的权限申请问题,已解决

■ My analysis

Launcher启动MusicBrowserActivity后，music会finish当前activity，授权后再启动一个新的MusicBrowserActivity，导致Launcher收不到Result

■ Submit URL

https://dev.thundercomm.com/gerrit/c/general/platform/packages/apps/SnapdragonMusic/+/156822

#4 - 2022-10-21 10:21 - CD APP-黄棚

- Assignee changed from CD APP-黄棚 to CD TEST-方永红

- Fixed Version changed from 2022-10-21 to 2022-10-22

#5 - 2022-10-21 16:06 - CD APP-黄棚

- Status changed from ASSIGNED to RESOLVED

- Resolution changed from -- to FIXED

#6 - 2022-10-24 10:22 - CD TEST-方永红

- Status changed from RESOLVED to VERIFIED

- Verified Version set to FlatBuild_VX1_MCE_xx.xx_FSE.D.user.0.0.0.20221023.alpha

10.24 验证关闭

#7 - 2022-10-24 10:22 - CD TEST-方永红

- Status changed from VERIFIED to CLOSED

#8 - 2022-12-22 20:45 - CD FW-王伟

Gerrit Merge Information：

ID Project Branch Uploader

156822 general/platform/packages/apps/Snapd

ragonMusic

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

huangpeng1216@thundersoft.com

FW:SnapdragonMusic:Fix the unsuccessful bug after adding shortcut pop-up authorization1. Fix the unsuccessful bug after adding shortcut pop-up

authorizationTC-RID: 1201-0301201IssueID: TS-R-DF-112607Change-Id: Ic3defd0c9d38904f5c1d078be436d0dfd4e05dc0

Files
https://dev.thundercomm.com/gerrit/c/general/platform/packages/apps/SnapdragonMusic/+/156822


yinyue.txt 1.55 MB 2022-10-17 CD TEST-方永红
